Xalan-Java 2.7.1: Class MethodType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class MethodType

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.util.Type
            |
            +--org.apache.xalan.xsltc.compiler.util.MethodType

public final class MethodType
extends Type

Fields inherited from class org.apache.xalan.xsltc.compiler.util.Type
`Attribute, Boolean, Comment, Element, Int, Node, NodeSet, Object, Processing_Instruction, Real, Reference, ResultTree, Root, String, Text, Void`

Constructor Summary
`MethodType(Type resultType)`
`MethodType(Type resultType, Type arg1)`
`MethodType(Type resultType, Type arg1, Type arg2)`
`MethodType(Type resultType, Type arg1, Type arg2, Type arg3)`
`MethodType(Type resultType, java.util.Vector argsType)`

Method Summary
`int` | `argsCount()`
`java.util.Vector` | `argsType()`
`int` | `distanceTo(Type other)`
`boolean` | `identicalTo(Type other)`
`Type` | `resultType()`
`org.apache.bcel.generic.Type` | `toJCType()`
`java.lang.String` | `toSignature()`
`java.lang.String` | `toSignature(java.lang.String lastArgSig)` Returns the signature of this method that results by adding `lastArgSig` to the end of the argument list.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.xalan.xsltc.compiler.util.Type
`ADD, CMP, DIV, DUP, GE, getClassName, GT, implementedAsMethod, isNumber, isSimple, LE, LOAD, LT, MUL, NEG, newObjectType, newObjectType, POP, REM, STORE, SUB, translateBox, translateFrom, translateTo, translateTo, translateToDesynthesized, translateToDesynthesized, translateUnBox`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodType

    public MethodType(Type resultType)

### MethodType

    public MethodType(Type resultType,
                      Type arg1)

### MethodType

    public MethodType(Type resultType,
                      Type arg1,
                      Type arg2)

### MethodType

    public MethodType(Type resultType,
                      Type arg1,
                      Type arg2,
                      Type arg3)

### MethodType

    public MethodType(Type resultType,
                      java.util.Vector argsType)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class Type

### toSignature

    public java.lang.String toSignature()

  Overrides:
    toSignature in class Type

### toSignature

    public java.lang.String toSignature(java.lang.String lastArgSig)

  Returns the signature of this method that results by adding `lastArgSig` to the end of the argument list.

### toJCType

    public org.apache.bcel.generic.Type toJCType()

  Overrides:
    toJCType in class Type

### identicalTo

    public boolean identicalTo(Type other)

  Overrides:
    identicalTo in class Type

### distanceTo

    public int distanceTo(Type other)

  Overrides:
    distanceTo in class Type

### resultType

    public Type resultType()

### argsType

    public java.util.Vector argsType()

### argsCount

    public int argsCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.